diff --git a/src/backend/utils/adt/Makefile b/src/backend/utils/adt/Makefile
index 4ef769749d..580043233b 100644
--- a/src/backend/utils/adt/Makefile
+++ b/src/backend/utils/adt/Makefile
@@ -36,11 +36,13 @@ OBJS = acl.o amutils.o arrayfuncs.o array_expanded.o array_selfuncs.o \
 jsonpath_scan.c: FLEXFLAGS = -CF -p -p
 jsonpath_scan.c: FLEX_NO_BACKUP=yes
 
-# Force these dependencies to be known even without dependency info built:
+# jsonpath_scan is compiled as part of jsonpath_gram
 jsonpath_gram.o: jsonpath_scan.c
 
 # jsonpath_gram.c and jsonpath_scan.c are in the distribution tarball,
 # so they are not cleaned here.
+clean distclean maintainer-clean:
+	rm -f lex.backup
 
 like.o: like.c like_match.c
 
diff --git a/src/backend/utils/adt/jsonpath_scan.l b/src/backend/utils/adt/jsonpath_scan.l
index 12ef81b308..26cb41f681 100644
--- a/src/backend/utils/adt/jsonpath_scan.l
+++ b/src/backend/utils/adt/jsonpath_scan.l
@@ -478,7 +478,7 @@ parsejsonpath(const char *str, int len)
 	jsonpath_scanner_init(str, len);
 
 	if (jsonpath_yyparse((void *) &parseresult) != 0)
-		jsonpath_yyerror(NULL, "bugus input");
+		jsonpath_yyerror(NULL, "bogus input");
 
 	jsonpath_scanner_finish();
 
